Bug 192019 - cyradm authentication with GSSAPI enabled
Summary: cyradm authentication with GSSAPI enabled
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cyrus-imapd   
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Petr Rockai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-16 20:58 UTC by Mark Gargiulo
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 00:31:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Gargiulo 2006-05-16 20:58:09 UTC
Description of problem:

If in /etc/imapd.conf the parameter is set:

sasl_mech_list: PLAIN LOGIN GSSAPI

then attempts to connect to the local imap server using cyradm fail with:

"server: localhost: cannot authenticate"

This is the same regardless of if you use localhost, IP or hostname.

If the GSSAPI is removed from the "sasl_mech_list:" in the imapd.conf listed
above and cyrus/saslauthd restarted then login attempts are successful.


Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.12-3.RHEL4.1

How reproducible:

Consistant on every attempt.


Steps to Reproduce:
1. add or modify the line in /etc/imapd.conf to read
sasl_mech_list: PLAIN LOGIN GSSAPI
2. restart cyrus-imapd and saslauthd
3. su - cyrus ; cyradm localhost
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.